Listings endpoint
Search for Listing
ListingSearchPayload
The cursor to start after for forward pagination. The value is provided in the pageInfo.endCursor field of the response. Cannot be used with before or last.
The cursor to start before for backward pagination. The value is provided in the pageInfo.startCursor field of the response. Cannot be used with after or size (first).
Number of items to return for backward pagination. Cannot be used with 'size' (first). Default: 20.
Number of items to return for forward pagination. Cannot be used with 'last'. Default: 20.
10The ID to start after. Deprecated, use after with the value provided in pageInfo.endCursor instead.
Your search result
ListingPaginatedResult
The total number of items matching the search criteria. Only filled, if withTotal is set to true in the search options.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
POST /api/listings/search HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 6198
{
"after": "text",
"before": "text",
"last": 1,
"options": {
"withTotal": true
},
"query": {
"and": [
{
"and": [
{
"and": "[Circular Reference]",
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": [
{
"and": "[Circular Reference]",
"availabilityTimeframe": "2026-06-17T12:00:00.000Z",
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"created": {
"after": "text",
"before": "text",
"eq": "2026-01-01T00:00:00.000Z",
"gt": "2026-01-01T00:00:00.000Z",
"gte": "2026-01-01T00:00:00.000Z",
"lt": "2026-01-01T00:00:00.000Z",
"lte": "2026-01-01T00:00:00.000Z",
"notEq": "2026-01-01T00:00:00.000Z"
},
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": {
"eq": true,
"notEq": true
}
},
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"measurementUnitKey": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
},
"or": "[Circular Reference]",
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
}
],
"outOfStockBehaviour": {
"eq": "NONE",
"in": [
"NONE"
],
"notEq": "NONE"
},
"price": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"scannableCodes": {
"contains": {
"eq": "text",
"notEq": "text"
}
},
"status": {
"eq": "ACTIVE",
"in": [
"ACTIVE"
],
"notEq": "ACTIVE"
},
"tenantArticleId": "MY_ARTICLE_ID",
"weight": {
"eq": 1,
"gt": 1,
"gte": 1,
"in": [
1
],
"lt": 1,
"lte": 1,
"notEq": 1,
"notIn": [
1
]
},
"tags": {
"contains": {
"id": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"value": {
"eq": "text",
"in": [
"text"
],
"notEq": "text",
"notIn": [
"text"
]
}
},
"exists": true
}
},
"size": 10,
"sort": [
{
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"lastModified": "ASC",
"tenantArticleId": "ASC"
}
]
}{
"listings": [
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"key": "Serialnumber",
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"facilityId": "4711",
"id": "fsfdsf87fsd",
"status": "ACTIVE"
}
],
"pageInfo": {
"endCursor": "text",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "text"
},
"total": 1
}Bulk upsert listings independently of their facility
ListingBulkUpsertPayload
Result of the bulk upsert operation
ListingBulkUpsertResponse
Invalid input. See response for details.
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
The requested entity was not found
A version conflict occurred.
PUT /api/listings HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1572
{
"listings": [
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f",
"0190d6e8-9a1b-7c2d-8e3f-5a7b9c1d3e5f"
],
"customAttributes": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"imageUrl": "https://example.com/resource",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": "2026-06-17T12:00:00.000Z"
},
"restock": {
"restockableInDays": 1
}
},
"priority": 1
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": "2026-06-17T12:00:00.000Z"
},
"restock": {
"restockableInDays": 1
}
},
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"selector": [
{
"facility": {
"facilityRef": "0190d6e8-8c3a-7f1b-9d2e-4a6b8c0d1e2f"
},
"version": 1
}
],
"status": "ACTIVE",
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"targetingStrategy": "MULTI_SELECTOR",
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": []
}
]
}{
"listings": [
{
"result": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"key": "Serialnumber",
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"facilityId": "4711",
"id": "fsfdsf87fsd",
"status": "ACTIVE"
},
"status": "CREATED"
}
],
"summary": {
"created": 1,
"unchanged": 1,
"updated": "2026-06-17T12:00:00.000Z"
}
}ID of facility you want to get listing. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).
tenantArticleId of listing you want to get
Provide the localized names and descriptions for the listing. If not provided the default locale is used., for example de_DE.
Listing is found & you were allowed to access it. The result is in the body.
VersionedResource
References to categories the listing belongs to.
The currency code is a three-letter code that represents a currency in the ISO 4217 standard.
Attributes that can be added to the listing. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!
Identifier for items unit of measurement.
literThe PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.
Also PREORDER and RESTOCK values are in Alpha status. For details please check the api-release-life-cycle documentation.
This part of the API is deprecated. For details, see the API release lifecycle documentation.
Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)
1200Codes, that identify the article
This is a reference to an article Id
4711a title describing the article
Adidas SuperstarThis part of the API is deprecated. For details, see the API release lifecycle documentation.
Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This is a reference to a facility
4711fsfdsf87fsdYour user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Listings not found
GET /api/facilities/{facilityId}/listings/{tenantArticleId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"key": "Serialnumber",
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"facilityId": "4711",
"id": "fsfdsf87fsd",
"status": "ACTIVE"
}ID of facility you want to delete all listings of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).
Facility listings were found and successfully deleted
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility listing not found
DELETE /api/facilities/{facilityId}/listings HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
ID of facility you want to get listing for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).
all entities after given Id
number of facilities to show
25Array of tenantArticleIds
limit results to this scannableCode
Facility was found & you were allowed to access it. The results are in the body.
StrippedListings
Total number of found entities for this query
42Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility not found
GET /api/facilities/{facilityId}/listings HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"listings": [
{
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"id": "fsfdsf87fsd",
"status": "ACTIVE",
"tenantArticleId": "4711"
}
],
"total": 42
}Bulk PUT for Listings. Please note: This endpoint has legacy behaviour, i.e. all PUTs fail if a single PUT fails.
ID of facility you want to put listings for. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).
ListingsForReplacement
Facility listing was found & you were allowed to access it. The result is in the body.
ListingBulkOperationResult
BulkOperationResultStatus
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility listing not found
PUT /api/facilities/{facilityId}/listings HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1538
{
"listings": [
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": []
}
]
}[
{
"listing": {
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"key": "Serialnumber",
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"facilityId": "4711",
"id": "fsfdsf87fsd",
"status": "ACTIVE"
},
"status": "UPDATED"
}
]ID of facility you want to patch a listing of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).
tenant ID of the articles listing you want to patch
ListingPatchActions
The version of the document to be used in optimistic locking mechanisms.
42Facility listing was found and successfully patched
VersionedResource
References to categories the listing belongs to.
The currency code is a three-letter code that represents a currency in the ISO 4217 standard.
Attributes that can be added to the listing. These attributes cannot be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.
A web link to a picture of this article. Please make sure that no authentication is required to fetch the image!
Identifier for items unit of measurement.
literThe PREORDER and RESTOCK can be only set, when the depending outOfStockConfig is provided.
Also PREORDER and RESTOCK values are in Alpha status. For details please check the api-release-life-cycle documentation.
This part of the API is deprecated. For details, see the API release lifecycle documentation.
Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)
1200Codes, that identify the article
This is a reference to an article Id
4711a title describing the article
Adidas SuperstarThis part of the API is deprecated. For details, see the API release lifecycle documentation.
Use attributes instead (see article attributes: https://docs.fulfillmenttools.com/documentation/developer-docs/api/core-concepts/customization-via-attributes)
The date this entity was created at the platform. This value is generated by the service.
2020-02-03T08:45:51.525ZThe date this entity was modified last. This value is generated by the service.
2020-02-03T09:45:51.525ZThe version of the document to be used in optimistic locking mechanisms.
42This is a reference to a facility
4711fsfdsf87fsdInvalid input. See response for details
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility listing not found
Listing version conflict
PATCH /api/facilities/{facilityId}/listings/{tenantArticleId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1293
{
"actions": [
{
"action": "ModifyListing",
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "kg",
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"status": "ACTIVE",
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"subtitle": "44 2/3",
"title": "Adidas Superstar",
"tags": []
}
],
"version": 42
}[
{
"titleLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"attributes": [
{
"valueLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"category": "descriptive",
"context": {
"type": "FACILITY_GROUP",
"value": "text"
},
"key": "%%subtitle%%",
"priority": 100,
"type": "STRING",
"value": "585er Gold"
}
],
"categoryRefs": [
"text"
],
"customAttributes": {},
"imageUrl": "text",
"legal": {
"hsCode": "text"
},
"measurementUnitKey": "liter",
"outOfStockBehaviour": "NONE",
"outOfStockBehaviourByContexts": [
{
"context": [
{
"operator": "NOT",
"type": "FACILITY_GROUP",
"values": [
"uuid-bkrs-0157"
]
}
],
"outOfStockBehaviour": "NONE",
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"priority": 100
}
],
"outOfStockConfig": {
"preorder": {
"availabilityTimeframe": {
"start": "2020-02-03T08:45:50.525Z"
}
},
"restock": {
"restockableInDays": 1
}
},
"recordableAttributes": [
{
"keyLocalized": {
"de_DE": "Wert",
"en_US": "Value",
"ru_RU": "значение"
},
"key": "Serialnumber",
"recordingRule": "MANDATORY",
"validations": [
{
"allowedValues": [
{
"type": "STRING"
}
],
"type": "EXACT_MATCH"
}
],
"value": "Germany"
}
],
"scannableCodes": [
"text"
],
"scanningRule": {
"values": [
{
"priority": 1,
"scanningRuleType": "ARTICLE"
}
]
},
"stockAvailableUntil": {
"calculationBase": "EXPIRY",
"modifier": "-P30D"
},
"stockProperties": {
"ANY_ADDITIONAL_PROPERTY": {
"defaultValue": "text",
"inputType": "DATE",
"required": true
}
},
"tenantArticleId": "4711",
"title": "Adidas Superstar",
"tags": [],
"created": "2020-02-03T08:45:51.525Z",
"lastModified": "2020-02-03T09:45:51.525Z",
"version": 42,
"facilityId": "4711",
"id": "fsfdsf87fsd",
"status": "ACTIVE"
}
]ID of facility you want to delete a listing of. Also accepts tenantFacilityId in urn format (e.g. urn:fft:facility:tenantFacilityId:{your-tenant-facility-id}).
tenant ID of the articles listing you want to delete
Facility listing was found and successfully deleted
No content
Your user is not allowed to operate against this API instance
Your user, although recognized, is not authorized to use this endpoint
Facility listing not found
DELETE /api/facilities/{facilityId}/listings/{tenantArticleId} HTTP/1.1
Host: your-tenant-name.api.fulfillmenttools.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

